> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Application Variant Reports

> ### Description
Lists all application variant reports accessible to the user.

### Details
This API can be used to list application variant reports. If a user has access to multiple accounts, all application variant reports from all accounts the user is associated with will be returned.



## OpenAPI

````yaml https://app.stainlessapi.com/api/spec/documented/sgp/openapi.yml get /v4/application-variant-reports
openapi: 3.1.0
info:
  title: EGP API V4
  description: >-
    This is the parent API for all EGP APIs. If you are looking for the EGP API,
    please go to https://api.egp.scale.com/docs.
  contact:
    name: Scale Generative AI Platform
    url: https://scale.com/genai-platform
  version: 0.1.0
servers:
  - url: https://api.egp.scale.com
security: []
tags:
  - name: Models
    description: Model API.
paths:
  /v4/application-variant-reports:
    get:
      tags:
        - Applications
      summary: List Application Variant Reports
      description: >-
        ### Description

        Lists all application variant reports accessible to the user.


        ### Details

        This API can be used to list application variant reports. If a user has
        access to multiple accounts, all application variant reports from all
        accounts the user is associated with will be returned.
      operationId: GET-V4-/application-variant-reports
      parameters:
        - name: view
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  $ref: '#/components/schemas/ApplicationVariantReportViewsOptions'
              - type: 'null'
            title: View
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: >-
              Page number for pagination to be returned by the given endpoint.
              Starts at page 1
            default: 1
            title: Page
          description: >-
            Page number for pagination to be returned by the given endpoint.
            Starts at page 1
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 10000
            minimum: 1
            description: >-
              Maximum number of artifacts to be returned by the given endpoint.
              Defaults to 100 and cannot be greater than 10k.
            default: 100
            title: Limit
          description: >-
            Maximum number of artifacts to be returned by the given endpoint.
            Defaults to 100 and cannot be greater than 10k.
        - name: application_spec_id
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: string
              - type: 'null'
            title: Application Spec Id
        - name: application_variant_id
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: string
              - type: 'null'
            title: Application Variant Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedApplicationVariantReportWithScoresResponseWithViews
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from scale_gp import SGPClient

            client = SGPClient(
                api_key=os.environ.get("SGP_API_KEY"),  # This is the default and can be omitted
            )
            page = client.application_variant_reports.list()
            page = page.items[0]
            print(page.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/stainless-sdks/sgp-go\"\n\t\"github.com/stainless-sdks/sgp-go/option\"\n)\n\nfunc main() {\n\tclient := sgp.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.ApplicationVariantReports.List(context.TODO(), sgp.ApplicationVariantReportListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
components:
  schemas:
    ApplicationVariantReportViewsOptions:
      type: string
      enum:
        - AsyncJobs
      title: ApplicationVariantReportViewsOptions
    PaginatedApplicationVariantReportWithScoresResponseWithViews:
      properties:
        items:
          items:
            $ref: >-
              #/components/schemas/ApplicationVariantReportWithScoresResponseWithViews
          type: array
          title: Items
          description: The data returned for the current page.
        total_item_count:
          type: integer
          title: Total Item Count
          description: The total number of items of the query
        current_page:
          type: integer
          title: Current Page
          description: The current page number.
        items_per_page:
          type: integer
          title: Items Per Page
          description: The number of items per page.
      type: object
      required:
        - items
        - total_item_count
        - current_page
        - items_per_page
      title: PaginatedApplicationVariantReportWithScoresResponseWithViews
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ApplicationVariantReportWithScoresResponseWithViews:
      properties:
        async_jobs:
          title: Async Jobs
          items:
            $ref: '#/components/schemas/ApplicationVariantReportAsyncJob'
          type: array
        application_spec_id:
          type: string
          title: Application Spec Id
          can_patch: false
        application_variant_id:
          type: string
          title: Application Variant Id
          can_patch: false
        id:
          type: string
          title: Id
          description: The unique identifier of the entity.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The date and time when the entity was created in ISO format.
        account_id:
          title: Account Id
          description: The ID of the account that owns the given entity.
          can_patch: false
          optional_in_request: true
          type: string
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: The date and time when the entity was last updated in ISO format.
        evaluation_datasets:
          title: Evaluation Datasets
          items:
            $ref: '#/components/schemas/EvaluationDatasetReportGeneration'
          type: array
        score:
          title: Score
          type: number
        category_scores:
          title: Category Scores
          items:
            anyOf:
              - $ref: '#/components/schemas/ApplicationCategoryScoreAccuracy'
              - $ref: '#/components/schemas/ApplicationCategoryScoreRetrieval'
              - $ref: '#/components/schemas/ApplicationCategoryScoreQuality'
              - $ref: '#/components/schemas/ApplicationCategoryScoreTrustAndSafety'
          type: array
      type: object
      required:
        - application_spec_id
        - application_variant_id
        - id
        - created_at
        - account_id
        - updated_at
      title: ApplicationVariantReportWithScoresResponseWithViews
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
          additionalProperties: true
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ApplicationVariantReportAsyncJob:
      properties:
        id:
          type: string
          title: Id
        job_type:
          type: string
          const: application-variant-report-generation
          title: Job Type
        status:
          $ref: '#/components/schemas/GenericAsyncJobStatusEnum'
        status_reason:
          title: Status Reason
          type: string
        progress:
          $ref: '#/components/schemas/GenericAsyncJobProgressSchema'
        job_metadata:
          title: Job Metadata
          additionalProperties: true
          type: object
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The date and time when the job was created in ISO format.
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: The date and time when the job was last updated in ISO format.
      type: object
      required:
        - id
        - job_type
        - status
        - created_at
        - updated_at
      title: ApplicationVariantReportAsyncJob
    EvaluationDatasetReportGeneration:
      properties:
        generation_status:
          $ref: '#/components/schemas/GenericAsyncJobStatusEnum'
        evaluation_dataset_version_num:
          type: integer
          title: Evaluation Dataset Version Num
        evaluation_dataset:
          $ref: '#/components/schemas/EvaluationDatasetResponse'
        scored_test_case_count:
          title: Scored Test Case Count
          type: integer
      type: object
      required:
        - generation_status
        - evaluation_dataset_version_num
        - evaluation_dataset
      title: EvaluationDatasetReportGeneration
    ApplicationCategoryScoreAccuracy:
      properties:
        category:
          type: string
          const: accuracy
          title: Category
        score:
          title: Score
          type: number
        metric_scores:
          items:
            anyOf:
              - $ref: '#/components/schemas/ApplicationMetricScoreAnswerCorrectness'
              - $ref: '#/components/schemas/ApplicationMetricScoreAnswerRelevance'
          type: array
          title: Metric Scores
      type: object
      required:
        - category
        - metric_scores
      title: ApplicationCategoryScoreAccuracy
    ApplicationCategoryScoreRetrieval:
      properties:
        category:
          type: string
          const: retrieval
          title: Category
        score:
          title: Score
          type: number
        metric_scores:
          items:
            anyOf:
              - $ref: '#/components/schemas/ApplicationMetricScoreFaithfulness'
              - $ref: '#/components/schemas/ApplicationMetricScoreContextRecall'
          type: array
          title: Metric Scores
      type: object
      required:
        - category
        - metric_scores
      title: ApplicationCategoryScoreRetrieval
    ApplicationCategoryScoreQuality:
      properties:
        category:
          type: string
          const: quality
          title: Category
        score:
          title: Score
          type: number
        metric_scores:
          items:
            anyOf:
              - $ref: '#/components/schemas/ApplicationMetricScoreCoherence'
              - $ref: '#/components/schemas/ApplicationMetricScoreGrammar'
          type: array
          title: Metric Scores
      type: object
      required:
        - category
        - metric_scores
      title: ApplicationCategoryScoreQuality
    ApplicationCategoryScoreTrustAndSafety:
      properties:
        category:
          type: string
          const: trust-and-safety
          title: Category
        score:
          title: Score
          type: number
        metric_scores:
          items:
            anyOf:
              - $ref: '#/components/schemas/ApplicationMetricScoreSafety'
              - $ref: '#/components/schemas/ApplicationMetricScoreModeration'
          type: array
          title: Metric Scores
      type: object
      required:
        - category
        - metric_scores
      title: ApplicationCategoryScoreTrustAndSafety
    GenericAsyncJobStatusEnum:
      type: string
      enum:
        - Pending
        - Running
        - Completed
        - Failed
        - Canceled
      title: GenericAsyncJobStatusEnum
    GenericAsyncJobProgressSchema:
      properties:
        completed:
          type: integer
          title: Completed
        failed:
          type: integer
          title: Failed
        pending:
          type: integer
          title: Pending
      type: object
      required:
        - completed
        - failed
        - pending
      title: GenericAsyncJobProgressSchema
    EvaluationDatasetResponse:
      properties:
        name:
          type: string
          title: Name
          description: The name of the dataset
        schema_type:
          $ref: '#/components/schemas/EvaluationDatasetORMSchemaTypeEnum'
          description: The schema type of the dataset.
        knowledge_base_id:
          title: Knowledge Base Id
          description: >-
            ID of the knowledge base that the evaluation dataset is associated
            with.
          can_patch: false
          type: string
        evaluation_dataset_metadata:
          title: Evaluation Dataset Metadata
          description: Metadata about the Evaluation Dataset that it is associated with
          can_patch: false
          additionalProperties: true
          type: object
        out_of_date:
          title: Out Of Date
          description: >-
            Boolean to check whether or not the knowledge base has been uploaded
            to since publication of the dataset.
          can_patch: false
          type: boolean
        vendor:
          $ref: '#/components/schemas/EvaluationDatasetVendor'
          description: >-
            The vendor of the evaluation dataset (e.g. 'Scale' for Scale
            off-the-shelf datasets). Null if the evaluation dataset is not from
            a vendor (e.g., is created by the customer).
        id:
          type: string
          title: Id
          description: The unique identifier of the entity.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The date and time when the entity was created in ISO format.
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: The date and time when the entity was last updated in ISO format.
        account_id:
          type: string
          title: Account Id
          description: The ID of the account that owns the given entity.
          can_patch: false
        created_by_user_id:
          type: string
          title: Created By User Id
          description: The user who originally created the entity.
        created_by_identity_type:
          $ref: '#/components/schemas/IdentifierTypeEnum'
          description: The type of identity that created the entity.
        archived_at:
          title: Archived At
          description: The date and time when the entity was archived in ISO format.
          type: string
          format: date-time
        schema_sub_type:
          $ref: '#/components/schemas/EvaluationDatasetSchemaSubType'
      type: object
      required:
        - name
        - schema_type
        - id
        - created_at
        - updated_at
        - account_id
        - created_by_user_id
        - created_by_identity_type
      title: EvaluationDatasetResponse
    ApplicationMetricScoreAnswerCorrectness:
      properties:
        score:
          title: Score
          type: number
        metric_type:
          type: string
          const: answer-correctness
          title: Metric Type
        category:
          type: string
          const: accuracy
          title: Category
      type: object
      required:
        - metric_type
        - category
      title: ApplicationMetricScoreAnswerCorrectness
    ApplicationMetricScoreAnswerRelevance:
      properties:
        score:
          title: Score
          type: number
        metric_type:
          type: string
          const: answer-relevance
          title: Metric Type
        category:
          type: string
          const: accuracy
          title: Category
      type: object
      required:
        - metric_type
        - category
      title: ApplicationMetricScoreAnswerRelevance
    ApplicationMetricScoreFaithfulness:
      properties:
        score:
          title: Score
          type: number
        metric_type:
          type: string
          const: faithfulness
          title: Metric Type
        category:
          type: string
          const: retrieval
          title: Category
      type: object
      required:
        - metric_type
        - category
      title: ApplicationMetricScoreFaithfulness
    ApplicationMetricScoreContextRecall:
      properties:
        score:
          title: Score
          type: number
        metric_type:
          type: string
          const: context-recall
          title: Metric Type
        category:
          type: string
          const: retrieval
          title: Category
      type: object
      required:
        - metric_type
        - category
      title: ApplicationMetricScoreContextRecall
    ApplicationMetricScoreCoherence:
      properties:
        score:
          title: Score
          type: number
        metric_type:
          type: string
          const: coherence
          title: Metric Type
        category:
          type: string
          const: quality
          title: Category
      type: object
      required:
        - metric_type
        - category
      title: ApplicationMetricScoreCoherence
    ApplicationMetricScoreGrammar:
      properties:
        score:
          title: Score
          type: number
        metric_type:
          type: string
          const: grammar
          title: Metric Type
        category:
          type: string
          const: quality
          title: Category
      type: object
      required:
        - metric_type
        - category
      title: ApplicationMetricScoreGrammar
    ApplicationMetricScoreSafety:
      properties:
        score:
          title: Score
          type: number
        metric_type:
          type: string
          const: safety
          title: Metric Type
        category:
          type: string
          const: trust-and-safety
          title: Category
        sub_metric_scores:
          items:
            anyOf:
              - $ref: >-
                  #/components/schemas/ApplicationMetricScore_Literal_TRUST_AND_SAFETY__Literal_BIAS_AND_STEREOTYPING__
              - $ref: >-
                  #/components/schemas/ApplicationMetricScore_Literal_TRUST_AND_SAFETY__Literal_OPINIONS_DISPUTED_TOPICS__
              - $ref: >-
                  #/components/schemas/ApplicationMetricScore_Literal_TRUST_AND_SAFETY__Literal_UNETHICAL_HARMFUL_ACTIVITIES__
              - $ref: >-
                  #/components/schemas/ApplicationMetricScore_Literal_TRUST_AND_SAFETY__Literal_COPYRIGHT_VIOLATIONS__
              - $ref: >-
                  #/components/schemas/ApplicationMetricScore_Literal_TRUST_AND_SAFETY__Literal_HARMFUL_CONTENT__
              - $ref: >-
                  #/components/schemas/ApplicationMetricScore_Literal_TRUST_AND_SAFETY__Literal_PRIVACY_VIOLATIONS__
          type: array
          title: Sub Metric Scores
      type: object
      required:
        - metric_type
        - category
        - sub_metric_scores
      title: ApplicationMetricScoreSafety
    ApplicationMetricScoreModeration:
      properties:
        score:
          title: Score
          type: number
        metric_type:
          type: string
          const: moderation
          title: Metric Type
        category:
          type: string
          const: trust-and-safety
          title: Category
      type: object
      required:
        - metric_type
        - category
      title: ApplicationMetricScoreModeration
    EvaluationDatasetORMSchemaTypeEnum:
      type: string
      enum:
        - GENERATION
        - FLEXIBLE
      title: EvaluationDatasetORMSchemaTypeEnum
    EvaluationDatasetVendor:
      type: string
      enum:
        - scale
      title: EvaluationDatasetVendor
    IdentifierTypeEnum:
      type: string
      enum:
        - user
        - service_account
      title: IdentifierTypeEnum
    EvaluationDatasetSchemaSubType:
      type: string
      enum:
        - summarization
        - translation
      title: EvaluationDatasetSchemaSubType
    ApplicationMetricScore_Literal_TRUST_AND_SAFETY__Literal_BIAS_AND_STEREOTYPING__:
      properties:
        score:
          title: Score
          type: number
        metric_type:
          type: string
          const: safety-bias-and-stereotyping
          title: Metric Type
        category:
          type: string
          const: trust-and-safety
          title: Category
      type: object
      required:
        - metric_type
        - category
      title: >-
        ApplicationMetricScore[Literal[<ApplicationScoreCategoryEnum.TRUST_AND_SAFETY:
        'trust-and-safety'>],
        Literal[<SafetySubMetricTypeEnum.BIAS_AND_STEREOTYPING:
        'safety-bias-and-stereotyping'>]]
    ApplicationMetricScore_Literal_TRUST_AND_SAFETY__Literal_OPINIONS_DISPUTED_TOPICS__:
      properties:
        score:
          title: Score
          type: number
        metric_type:
          type: string
          const: safety-opinions-disputed-topics
          title: Metric Type
        category:
          type: string
          const: trust-and-safety
          title: Category
      type: object
      required:
        - metric_type
        - category
      title: >-
        ApplicationMetricScore[Literal[<ApplicationScoreCategoryEnum.TRUST_AND_SAFETY:
        'trust-and-safety'>],
        Literal[<SafetySubMetricTypeEnum.OPINIONS_DISPUTED_TOPICS:
        'safety-opinions-disputed-topics'>]]
    ApplicationMetricScore_Literal_TRUST_AND_SAFETY__Literal_UNETHICAL_HARMFUL_ACTIVITIES__:
      properties:
        score:
          title: Score
          type: number
        metric_type:
          type: string
          const: safety-unethical-harmful-activities
          title: Metric Type
        category:
          type: string
          const: trust-and-safety
          title: Category
      type: object
      required:
        - metric_type
        - category
      title: >-
        ApplicationMetricScore[Literal[<ApplicationScoreCategoryEnum.TRUST_AND_SAFETY:
        'trust-and-safety'>],
        Literal[<SafetySubMetricTypeEnum.UNETHICAL_HARMFUL_ACTIVITIES:
        'safety-unethical-harmful-activities'>]]
    ApplicationMetricScore_Literal_TRUST_AND_SAFETY__Literal_COPYRIGHT_VIOLATIONS__:
      properties:
        score:
          title: Score
          type: number
        metric_type:
          type: string
          const: safety-copyright-violations
          title: Metric Type
        category:
          type: string
          const: trust-and-safety
          title: Category
      type: object
      required:
        - metric_type
        - category
      title: >-
        ApplicationMetricScore[Literal[<ApplicationScoreCategoryEnum.TRUST_AND_SAFETY:
        'trust-and-safety'>],
        Literal[<SafetySubMetricTypeEnum.COPYRIGHT_VIOLATIONS:
        'safety-copyright-violations'>]]
    ApplicationMetricScore_Literal_TRUST_AND_SAFETY__Literal_HARMFUL_CONTENT__:
      properties:
        score:
          title: Score
          type: number
        metric_type:
          type: string
          const: safety-harmful-content
          title: Metric Type
        category:
          type: string
          const: trust-and-safety
          title: Category
      type: object
      required:
        - metric_type
        - category
      title: >-
        ApplicationMetricScore[Literal[<ApplicationScoreCategoryEnum.TRUST_AND_SAFETY:
        'trust-and-safety'>], Literal[<SafetySubMetricTypeEnum.HARMFUL_CONTENT:
        'safety-harmful-content'>]]
    ApplicationMetricScore_Literal_TRUST_AND_SAFETY__Literal_PRIVACY_VIOLATIONS__:
      properties:
        score:
          title: Score
          type: number
        metric_type:
          type: string
          const: safety-privacy-violations
          title: Metric Type
        category:
          type: string
          const: trust-and-safety
          title: Category
      type: object
      required:
        - metric_type
        - category
      title: >-
        ApplicationMetricScore[Literal[<ApplicationScoreCategoryEnum.TRUST_AND_SAFETY:
        'trust-and-safety'>],
        Literal[<SafetySubMetricTypeEnum.PRIVACY_VIOLATIONS:
        'safety-privacy-violations'>]]
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````